Package picard.analysis

# Class CollectQualityYieldMetrics.QualityYieldMetricsFlow

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.MergeableMetricBase
picard.analysis.CollectQualityYieldMetrics.QualityYieldMetrics
picard.analysis.CollectQualityYieldMetrics.QualityYieldMetricsFlow

Enclosing class:
  CollectQualityYieldMetrics

public static class CollectQualityYieldMetrics.QualityYieldMetricsFlow extends CollectQualityYieldMetrics.QualityYieldMetrics

## Nested Class Summary

## Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

`MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final picard.analysis.HistogramGenerator`
`histogramGenerator`
`long`
`READ_LENGTH_AVG_Q_ABOVE_25`
The length of the longest interval on the reads where the average quality per-base is above (Q25)
`long`
`READ_LENGTH_AVG_Q_ABOVE_30`
The length of the longest interval on the reads where the average quality per-base is above (Q30)

### Fields inherited from class picard.analysis.CollectQualityYieldMetrics.QualityYieldMetrics

`PF_BASES, PF_Q20_BASES, PF_Q20_EQUIVALENT_YIELD, PF_Q30_BASES, PF_READS, Q20_BASES, Q20_EQUIVALENT_YIELD, Q30_BASES, READ_LENGTH, TOTAL_BASES, TOTAL_READS, useOriginalQualities`

## Constructor Summary

Constructors
Constructor
Description
`QualityYieldMetricsFlow()`
`QualityYieldMetricsFlow(boolean useOriginalBaseQualities)`
`QualityYieldMetricsFlow(boolean useOriginalBaseQualities, picard.analysis.HistogramGenerator hg)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addRecordToHistogramGenerator(htsjdk.samtools.SAMRecord rec)`
`void`
`calculateDerivedFields()`
Placeholder method that will calculate the derived fields from the other ones.
`MergeableMetricBase`
`merge(MergeableMetricBase other)`
Merge another metric into this one

### Methods inherited from class picard.analysis.MergeableMetricBase

`canMerge, merge, mergeIfCan`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### READ_LENGTH_AVG_Q_ABOVE_30

public long READ_LENGTH_AVG_Q_ABOVE_30
The length of the longest interval on the reads where the average quality per-base is above (Q30)

### READ_LENGTH_AVG_Q_ABOVE_25

public long READ_LENGTH_AVG_Q_ABOVE_25
The length of the longest interval on the reads where the average quality per-base is above (Q25)

### histogramGenerator

protected final picard.analysis.HistogramGenerator histogramGenerator

## Constructor Details

### QualityYieldMetricsFlow

public QualityYieldMetricsFlow()

### QualityYieldMetricsFlow

public QualityYieldMetricsFlow(boolean useOriginalBaseQualities)

### QualityYieldMetricsFlow

public QualityYieldMetricsFlow(boolean useOriginalBaseQualities, picard.analysis.HistogramGenerator hg)

## Method Details

### calculateDerivedFields

public void calculateDerivedFields()
Description copied from class: `MergeableMetricBase`
Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.

Overrides:
  `calculateDerivedFields` in class `CollectQualityYieldMetrics.QualityYieldMetrics`

### merge

public MergeableMetricBase merge(MergeableMetricBase other)
Description copied from class: `MergeableMetricBase`
Merge another metric into this one

Overrides:
  `merge` in class `CollectQualityYieldMetrics.QualityYieldMetrics`
Parameters:
  `other` - metric to merge into this one.

### addRecordToHistogramGenerator

protected void addRecordToHistogramGenerator(htsjdk.samtools.SAMRecord rec)